#!/bin/sh
echo "Install script for NMServer for OpenVMS tools for HP OpenView NNM"

if [ -x /opt/OV/bin/ov.envvars.sh ] ; 
then
   . /opt/OV/bin/ov.envvars.sh
else
   echo "This user doesn't have permission to execute /opt/OV/bin/ov.envvars.sh"
   exit 1
fi   

echo "$OV_HELP"
echo "$OV_SNMP_MIBS"
echo "$OV_REGISTRATION"
echo "$OV_FIELDS"
    
echo "Providing MIBs"

if [ ! -d $OV_SNMP_MIBS/Vendor/COMTEK ] ;
then
   if [ -w $OV_SNMP_MIBS/Vendor ] ;
   then
       mkdir $OV_SNMP_MIBS/Vendor/COMTEK
   else
       echo "Unable to create directory $OV_SNMP_MIBS/Vendor/COMTEK"
       exit 1
   fi        
fi

if [ ! -d $OV_SNMP_MIBS/Vendor/COMTEK/VMS ] ;
then
   if [ -w $OV_SNMP_MIBS/Vendor/COMTEK ] ;
   then
      mkdir $OV_SNMP_MIBS/Vendor/COMTEK/VMS
   else
      echo "Unable to create directory $OV_SNMP_MIBS/Vendor/COMTEK/VMS"
      exit 1
   fi    
fi      
      
cd MIBs
cp *.* $OV_SNMP_MIBS/Vendor/COMTEK/VMS


echo "Loading MIB"
$OV_BIN/xnmloadmib -load NMSERVERVMS.MIB
$OV_BIN/xnmloadmib -event


cd ../trapd
pwd
echo "Loading trap definitions into trapd.conf"
$OV_BIN/xnmevents -replace nmservervms_trapd.conf
$OV_BIN/xnmevents -event

cd ../fields
pwd
echo "Adding NMServerVMS field"
if [ -w $OV_FIELDS/C ] ;
then
    cp * $OV_FIELDS/C
    $OV_BIN/ovw -fields
else
    echo "No permission to copy files to $OV_FIELDS/C directory"
fi

cd ../ovmib
echo "Copying registration files"
if [ -w $OV_REGISTRATION/C/ovmib ];
then
    cp * $OV_REGISTRATION/C/ovmib
else
    echo "No permission to copy files to $OV_REGISTRATION/C/ovmib directory"
    exit 1  
fi

cd ../Functions
echo "Copying help files"
if [ -w $OV_HELP/C/ovmib/OVW/Functions ] ;
then
    cp * $OV_HELP/C/ovmib/OVW/Functions
else
    echo "No permission to copy files to $OV_HELP/C/ovmib/OVW/Functions directory"
    exit 1
fi

cd ../snmpCol
echo "Adding data collection objects"
$OV_BIN/xnmcollect -merge nmservervms_snmpCol.conf
$OV_BIN/xnmcollect -event

cd ..
echo "Congfiguration complete"
     
echo "$OV_REGISTRATION"
echo "$OV_HELP"
echo "$OV_SNMP_MIBS"
echo "$OV_FIELDS"

